#
#   Licensed to the Apache Software Foundation (ASF) under one
#   or more contributor license agreements.  See the NOTICE file
#   distributed with this work for additional information
#   regarding copyright ownership.  The ASF licenses this file
#   to you under the Apache License, Version 2.0 (the
#   "License"); you may not use this file except in compliance
#   with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing,
#   software distributed under the License is distributed on an
#   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#   KIND, either express or implied.  See the License for the
#   specific language governing permissions and limitations
#   under the License.
#
#

#
# Default error code translations comes here 
#

ERR_513=Error during underflow [{0}]
ERR_514=Key not found: {0}
ERR_515=BPage not ordered
ERR_516=Invalid child subordinate key
ERR_517=Argument ''recman'' is null
ERR_518=Argument ''comparator'' is null
ERR_519=Argument ''comparator'' must be serializable
# ERR_520=Argument ''keySerializer'' must be serializable
# ERR_521=Argument ''valueSerializer'' must be serializable
ERR_522=Argument ''pageSize'' must be even
ERR_523=Argument ''key'' is null
ERR_524=Argument ''value'' is null
ERR_525=Argument ''obj1'' is null
ERR_526=Argument ''obj2'' is null
ERR_527=Platform doesn''t support UTF8 encoding
ERR_528=MRU cache must contain at least one entry
ERR_529=Cannot add null listener.
# ERR_530=
ERR_531=Internal cache cannot be null.
ERR_532=key cannot be null.
ERR_533=value cannot be null.
ERR_534=Cannot create bucket with depth > MAX_DEPTH+1. Depth={0}
ERR_535=Cannot create deeper directory. Depth={0}
ERR_536=Argument ''recid'' is invalid: {0}
ERR_537=Name directory must exist
ERR_538=RecordManager has been closed
ERR_539_BAD_BLOCK_ID=bogus block id {0}, it should not be negative
ERR_540=BlockId assigned for transaction block
ERR_541=transaction count on block {0} below zero!
ERR_542=Argument ''cache'' is null
ERR_543=DataPage.setFirst: offset {0} too small
ERR_544=CRITICAL: file header magic not OK {0}
ERR_545=couldn''t obtain free translation
ERR_546=CRITICAL: page header magic for block {0} not OK {1}
ERR_547=CRITICAL: page header magic not OK {0}
ERR_548=allocate of free page?
ERR_549=free free page?
ERR_550=free header page?
ERR_551=Soft reference cache not implemented
ERR_552=Weak reference cache not implemented
ERR_553=Invalid cache type: {0}
ERR_554=double get for block {0}
ERR_555=bad blockid {0} on release
ERR_556=in use list not empty at commit time ({0})
ERR_557=in use list not empty at rollback time ({0})
ERR_558=in txn list not empty at rollback time ({0})
ERR_559=In transaction not empty
ERR_560=Dirty blocks at close time
ERR_561=inUse blocks at close time
ERR_562=Offset too large for record header ({0}:{1})
ERR_563=Argument ''maxTxns'' must be greater than 0.
ERR_564=Cannot change setting while transactions are pending in the log
ERR_565=Bad magic on log file
ERR_566=Unexcepted exception: {0}
ERR_567=Invalid record manager provider\: {0}\n[{1}\: {2}]
